namespace CMSMicroservice.Application.WarehouseCQ.Commands.UpdateWarehouse;

public class UpdateWarehouseCommandValidator : AbstractValidator<UpdateWarehouseCommand>
{
    public UpdateWarehouseCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه انبار معتبر نیست");

        RuleFor(x => x.Name)
            .MaximumLength(100).WithMessage("نام انبار نباید بیش از 100 کاراکتر باشد");

        RuleFor(x => x.Code)
            .MaximumLength(50).WithMessage("کد انبار نباید بیش از 50 کاراکتر باشد");

        RuleFor(x => x.Address)
            .MaximumLength(500).WithMessage("آدرس نباید بیش از 500 کاراکتر باشد");
    }
}
